String[] fileStrings;  // declare an array of Strings
PFont myFont;          // declare myFont as a PFont 
int lineHeight = 14;    // declare lineHeight and assign it 14
int margin = lineHeight;  // declare margin and assign it the value of lineHeight
int frame = 0;            // declare frame, assign it 0


void setup() {  // do this first (and only once)...
  myFont = loadFont("Verdana-12.vlw");  // load font and assign to myFont
  size(480,360);  // window size
  frameRate(30);  // framerate
  fileStrings = loadStrings("analytics.csv");  // LOAD A FILE... ASSIGN IT TO fileStrings
  textFont(myFont,12);  // set the face and size of the font
  noStroke();  // dont draw strokes
}

void draw() {  // keep doing this
  if(frame<50){  // only do the stuff in here while frame is less than 50
    background(255);  // white BG

    for(int i=0;i<fileStrings.length;i++){  // loop through the length of the fileStrings array
      if (i < 11) {  // if i is less than 11 (if we are looking at the header of the file)... I know this because I counted the lines 
        fill(255-frame*255/50);  // fill white to black(255 to 0), depending on the value of frame (starts at 0, ends at 50)
        text(fileStrings[i],margin,i*lineHeight+margin*2);  // write the text to the applet window
      } else { // if i IS NOT less than 11...
        fill(255-int(fileStrings[i])*255/1000,255-int(fileStrings[i])*255/1000,255-int(fileStrings[i])*255/1000,frame*255/50); // do a scaled fill, based on the value in fileStrings (note the casting of the Strings into INTs)
        rect(margin+(i-10)*14,height-margin,14,-1*int(fileStrings[i])/10*frame/50); // draw a bunch of rects, with sizes based on the fileStrings[i] (cast into INTs) as well as frame (so they change over time)
      }
    }

    frame++;  // increment the frame value
  }
}

